
# Load packages
library(lme4)
library(nlme)
library(performance)
###load data
##########plant diversity##################################################
#cell scale#

Plant_diversity_cell<-read_excel("Plant_diversity_cell.xlsx")

#quadrat scale#

Plant_diversity_quadrat<-read_excel("Plant_diversity_quadrat.xlsx")

#exclosure scale#

Plant_diversity_exclosure<-read_excel("plant_diversity_exclosure.xlsx")

############################################################################

##########growth form relative abundance and richness#######################

#cell scale#

growthform_cell<-read_excel("growthform_cell.xlsx")

#quadrat scale#

growthform_quadrat<-read_excel("growthform_quadrat.xlsx")

#exclosure scale#

growthform_exclosure<-read_excel("growthform_exclosure.xlsx")

#############################################################################


##########LMM:plant diversity###########
#cell scale

####Richness
model<-lmer(Richness~treatment+(1|site)+(1|quadrat:site),Plant_diversity_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####Evenness
model<-lmer(Evenness~treatment+(1|site)+(1|quadrat:site),Plant_diversity_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####Inverse_Simpson
model<-lmer(Inverse_Simpson~treatment+(1|site)+(1|quadrat:site),Plant_diversity_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####Beta_diversity
model<-lmer(Beta_diversity~treatment+(1|site)+(1|quadrat:site),Plant_diversity_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####Species_turnover
model<-lmer(Species_turnover~treatment+(1|site)+(1|quadrat:site),Plant_diversity_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####Species_nestedness
model<-lmer(Species_nestedness~treatment+(1|site)+(1|quadrat:site),Plant_diversity_cell)

anova(model)

ranova(model)
r2_nakagawa(model)


#quadrat scale#

####Richness
model<-lmer(Richness~treatment+(1|site),Plant_diversity_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####Evenness
model<-lmer(Evenness~treatment+(1|site),Plant_diversity_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####Inverse_Simpson
model<-lmer(Inverse_Simpson~treatment+(1|site),Plant_diversity_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####Beta_diversity
model<-lmer(Beta_diversity~treatment+(1|site),Plant_diversity_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####Species_turnover
model<-lmer(Species_turnover~treatment+(1|site),Plant_diversity_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####Species_nestedness
model<-lmer(Species_nestedness~treatment+(1|site),Plant_diversity_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

#exclosure scale#

####Richness
model<-lmer(Richness~treatment+(1|site),Plant_diversity_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####Evenness
model<-lmer(Evenness~treatment+(1|site),Plant_diversity_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####Inverse_Simpson
model<-lmer(Inverse_Simpson~treatment+(1|site),Plant_diversity_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####Beta_diversity
model<-lmer(Beta_diversity~treatment+(1|site),Plant_diversity_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####Species_turnover
model<-lmer(Species_turnover~treatment+(1|site),Plant_diversity_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####Species_nestedness
model<-lmer(Species_nestedness~treatment+(1|site),Plant_diversity_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

############################growth form relative abundance and richness################

#cell scale
##############acrocarp############
### relative abundance 
model<-lmer(Relative_abundance_acrocarp ~treatment+(1|site)+(1|quadrat:site),growthform_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####richness
model<-lmer(Richness_acrocarp~treatment+(1|site)+(1|quadrat:site),growthform_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

##############pleurocarp############
####relative abundance 
model<-lmer(Relative_abundance_pleurocarp~treatment+(1|site)+(1|quadrat:site),growthform_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

####richness
model<-lmer(Richness_pleurocarp~treatment+(1|site)+(1|quadrat:site),growthform_cell)

anova(model)

ranova(model)
r2_nakagawa(model)

#quadrat scale
##############acrocarp############
### relative abundance 
model<-lmer(Relative_abundance_acrocarp~treatment+(1|site),growthform_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####richness
model<-lmer(Richness_acrocarp~treatment+(1|site),growthform_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

###############pleurocarp############
####relative abundance 
model<-lmer(Relative_abundance_pleurocarp~treatment+(1|site),growthform_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)

####richness
model<-lmer(Richness_pleurocarp~treatment+(1|site),growthform_quadrat)

anova(model)

ranova(model)
r2_nakagawa(model)


#exclosure scale
##############acrocarp############
### relative abundance 
model<-lmer(Relative_abundance_acrocarp~treatment+(1|site),growthform_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####richness
model<-lmer(Richness_acrocarp~treatment+(1|site),growthform_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

###############pleurocarp############
####relative abundance 
model<-lmer(Relative_abundance_pleurocarp~treatment+(1|site),growthform_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)

####richness
model<-lmer(Richness_pleurocarp~treatment+(1|site),growthform_exclosure)

anova(model)

ranova(model)
r2_nakagawa(model)





