
# Load packages
library(vegan)
library(betapart)
library(readxl)
library(ggplot2)

##load data

#cell scale#

out.cell<-read_excel("Species_abundance_cell.xlsx")

out.cell.ana<-out.cell[,5:56]

#quadrat scale#

out.quadrat<-read_excel("Species_abundance_quadrat.xlsx")

out.quadrat.ana<-out.quadrat[,4:55]

#exclosure scale#

out.exclosure<-read_excel("Species_abundance_exclosure.xlsx")

out.exclosure.ana<-out.exclosure[,3:54]


##Bray-curtis distance matrix based on abundance of raw data

#cell scale#
bray.dist.cell<-vegdist(out.cell.ana,method="bray")
write.table(as.matrix(bray.dist.cell),file="bray.out.cell.ana.txt",sep="\t",col.names=NA)

bray.out.cell.ana <- read.table("bray.out.cell.ana.txt", header = TRUE)
bray.out.cell<-bray.out.cell.ana[,-1]
adonisresult.cell<-adonis2(bray.out.cell~treatment,out.cell,permutations=999)
adonisresult.cell

#quadrat  scale#
bray.dist.quadrat<-vegdist(out.quadrat.ana,method="bray")
write.table(as.matrix(bray.dist.quadrat),file="bray.out.quadrat.ana.txt",sep="\t",col.names=NA)
bray.out.quadrat.ana <- read.table("bray.out.quadrat.ana.txt", header = TRUE)
bray.out.quadrat<-bray.out.quadrat.ana[,-1]
adonisresult.quadrat<-adonis2(bray.out.quadrat~treatment,out.quadrat,permutations=999)
adonisresult.quadrat

#exclosure scale#
bray.dist.exclosure<-vegdist(out.exclosure.ana,method="bray")
write.table(as.matrix(bray.dist.exclosure),file="bray.out.exclosure.ana.txt",sep="\t",col.names=NA)
bray.out.exclosure.ana <- read.table("bray.out.exclosure.ana.txt", header = TRUE)
bray.out.exclosure<-bray.out.exclosure.ana[,-1]
adonisresult.exclosure<-adonis2(bray.out.exclosure~treatment,out.exclosure,permutations=999)
adonisresult.exclosure
